Open CASCADE Technology: BRepMesh_WireInterferenceChecker Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
BRepMesh_WireInterferenceChecker Class Reference

Auxilary class implementing functionality for checking interference between two discretized wires. More...

`#include <BRepMesh_WireInterferenceChecker.hxx>`

## Public Types
enum | IntFlag { NoIntersection, Cross, EndPointTouch, PointOnSegment, Glued, Same }
| Enumerates states of segments intersection check. More...

## Public Member Functions
| BRepMesh_WireInterferenceChecker (const BRepMesh::Array1OfSegmentsTree &theWires, BRepMesh_Status *theStatus, Standard_Mutex *theMutex=NULL)
| Constructor. More...
void | operator() (const Standard_Integer &theWireId) const
| Checker's body. More...

## Detailed Description

Auxilary class implementing functionality for checking interference between two discretized wires.

## Member Enumeration Documentation

enum BRepMesh_WireInterferenceChecker::IntFlag

Enumerates states of segments intersection check.

Enumerator
NoIntersection |
Cross |
EndPointTouch |
PointOnSegment |
Glued |
Same |

## Constructor & Destructor Documentation

BRepMesh_WireInterferenceChecker::BRepMesh_WireInterferenceChecker | ( | const BRepMesh::Array1OfSegmentsTree & | theWires,
|  | BRepMesh_Status * | theStatus,
|  | Standard_Mutex * | theMutex = `NULL`
| ) |  |

Constructor.

Parameters

  theWires | wires that should be checked.
  theStatus | shared flag to set status of the check.
  theMutex | shared mutex for parallel processing.

## Member Function Documentation

void BRepMesh_WireInterferenceChecker::operator() | ( | const Standard_Integer & | theWireId | ) | const

Checker's body.

Parameters

  theWireId | Id of discretized wire to be checked.

The documentation for this class was generated from the following file:

- BRepMesh_WireInterferenceChecker.hxx